defmodule CentralcloudCore.MixProject do
  use Mix.Project

  def project do
    [
      app: :centralcloud_core,
      version: "0.1.0",
      build_path: "../../_build",
      config_path: "../../config/config.exs",
      deps_path: "../../deps",
      lockfile: "../../mix.lock",
      elixir: "~> 1.20",
      start_permanent: Mix.env() == :prod,
      deps: deps()
    ]
  end

  def application do
    [extra_applications: [:logger]]
  end

  defp deps do
    [
      {:req, "~> 0.5"},         # HTTP client for HostBill, DR API, OnCall
      {:jason, "~> 1.4"},       # JSON
      {:jose, "~> 1.11"}        # JWT / OIDC token verification
    ]
  end
end
